[ARVADOS] updated: 5f00956aeb4c5a14ef40f5f18f90772e37bdb1dc

Git user git at public.curoverse.com
Wed Jul 27 11:31:04 EDT 2016


Summary of changes:
 build/run-tests.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

       via  5f00956aeb4c5a14ef40f5f18f90772e37bdb1dc (commit)
      from  09663f039a11c585c664335026107ccc04fa9ad8 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 5f00956aeb4c5a14ef40f5f18f90772e37bdb1dc
Author: Tom Clegg <tom at curoverse.com>
Date:   Wed Jul 27 11:29:17 2016 -0400

    8555: Fail Go tests if not gofmted.

diff --git a/build/run-tests.sh b/build/run-tests.sh
index 31d8c0c..8a4fa9c 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -502,6 +502,8 @@ do_test_once() {
             # mode makes Go show the wrong line numbers when reporting
             # compilation errors.
             go get -t "git.curoverse.com/arvados.git/$1" || return 1
+            cd "$WORKSPACE/$1" || return 1
+            gofmt -e -d . | egrep . && result=1
             if [[ -n "${testargs[$1]}" ]]
             then
                 # "go test -check.vv giturl" doesn't work, but this
@@ -512,7 +514,7 @@ do_test_once() {
                 # empty, so use this form in such cases:
                 go test ${short:+-short} ${coverflags[@]} "git.curoverse.com/arvados.git/$1"
             fi
-            result="$?"
+            result=${result:-$?}
             if [[ -f "$WORKSPACE/tmp/.$covername.tmp" ]]
             then
                 go tool cover -html="$WORKSPACE/tmp/.$covername.tmp" -o "$WORKSPACE/tmp/$covername.html"

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list